package sgc.portal.cs.cs0303.service;

import org.springframework.stereotype.Service;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cs.cs0303.dto.CS03030001USearch;
import sgc.portal.cs.cs0303.persistence.CS03030001UMapper;

import java.util.List;

@Service
public class CS03030001UService {
	private final CS03030001UMapper mapper;

	public CS03030001UService(CS03030001UMapper mapper) {
		this.mapper = mapper;
	}

	/*하자보증서리스트*/
	public List<EasyHashMap<String, Object>> getTradeList(CS03030001USearch search) {
		return mapper.getTradeList(search);
	}
}